Package org.codehaus.groovy.ast.stmt

## Class BreakStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.BreakStatement

- All Implemented Interfaces:
    `NodeMetaDataHandler`

      public class BreakStatement
      extends Statement

  Represents a break statement in a switch or loop statement

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BreakStatement()` |
    `BreakStatement​(String label)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLabel()` |
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, hashCode, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### BreakStatement

          public BreakStatement()

    - #### BreakStatement

          public BreakStatement​(String label)

  - ### Method Detail

    - #### getLabel

          public String getLabel()

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`